Loading...
Searching...
No Matches
LevelScope Struct Reference

A LevelScope object sets the logging level to a given level and restores it to the current level when the object goes out of scope. More...

`#include <openvdb/util/logging.h>`

## Public Member Functions

| LevelScope (Level newLevel)
| ~LevelScope ()

## Public Attributes

Level | level

## Detailed Description

A LevelScope object sets the logging level to a given level and restores it to the current level when the object goes out of scope.

## Constructor & Destructor Documentation

## LevelScope()

LevelScope | ( | Level | newLevel | ) |

inlineexplicit

## ~LevelScope()

~LevelScope | ( |  | ) |

inline

## Member Data Documentation

## level

Level level